package com.ethen.pipeline.controller;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Locale;

@RestController
public class PipelineController {
    @Value("${app.version}")
    private String appVersion;


    @GetMapping("/version")
    public void version(HttpServletResponse response) throws IOException {
        String result = String.format(Locale.ENGLISH, "<h1>hello, pipeline app version: <font color='#FF0000'> %s </font> </h1>", appVersion);
        ServletOutputStream outputStream = response.getOutputStream();
        outputStream.println(result);
    }

}
